Bug 1814744 - glustereventsd log file isn't reopened after rotation
Summary: glustereventsd log file isn't reopened after rotation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: eventsapi
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: RHGS 3.5.z Batch Update 4
Assignee: Srijan Sivakumar
QA Contact: Leela Venkaiah Gangavarapu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 15:29 UTC by Daniel Milewski
Modified: 2021-04-29 07:20 UTC (History)
12 users (show)

Fixed In Version: glusterfs-6.0-53; glusterfs-selinux-1.0-3
Doc Type: Bug Fix
Doc Text:
Previously, log file objects did not update the file handle after `logrotate` as the log file kept growing indefinitely. With this update, a different class is used to create the log file object which modifies the file handle after `logrotate` and the logs are written into the new file after logrotate operation. NOTE: The SELinux policies state that the default port requires elevated permissions. Therefore the default port used for the`eventsd` service is now 55555 which is in the ephemeral range. Users upgrading to the latest version must change to port number 55555 or any other port that is within the ephemeral range.
Clone Of:
Environment:
Last Closed: 2021-04-29 07:20:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:1462 0 None None None 2021-04-29 07:20:53 UTC

Description Daniel Milewski 2020-03-18 15:29:05 UTC
Description of problem:
/var/log/glusterfs/events.log file written by the glustereventsd service isn't reopened after being rotated by logrotate. This obviously makes the log file grow indefinitely. I've looked through the code a little bit and apparently there is no way to make the service reopen the log file other than by restarting it. The log file is rotated by the configuration file /etc/logrotate.d/glusterfs provided in the glusterfs-fuse package.

Comment 3 Srijan Sivakumar 2020-07-17 20:41:35 UTC

  Hi Daniel,

  Could you please specify the version of glusterfs being used ?

  Thanks and Regards

Comment 4 Daniel Milewski 2020-07-29 09:56:34 UTC
We are using version 6.9.

Comment 5 Srijan Sivakumar 2020-08-07 09:43:31 UTC
 Patch in Upstream : https://review.gluster.org/c/glusterfs/+/24820

Comment 36 errata-xmlrpc 2021-04-29 07:20:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (glusterfs bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1462


Note You need to log in before you can comment on or make changes to this bug.